#!/bin/bash
# Parallel job submission script:
# Usage: qsub  <this_script>
#
# The shell used to run the job
#$ -S /bin/bash
#
# The name of the parallel queue to submit the job to
#
# Define the parallel runtime environment and number of nodes
# NB: number of nodes is one more than needed as one copy resideson the master node
#$ -pe mpi 8
# Use location that job was submitted as working directory
#$ -cwd
#
# Export all environment variables to the slave jobs
#$ -V
#
# Put stdout & stderr into the same file
#$ -j y
#
# The name of the SGE logfile for this job
#$ -o output.log

module load intel-compiler-2018
source /home/softwares/intel_2018/impi/2018.3.222/intel64/bin/mpivars.sh
export LD_LIBRARY_PATH=/opt/cuda_10.0.130/lib64:$LD_LIBRARY_PATH
export PATH=$PATH:/home/softwares/NAMD_GPU/Linux-x86_64-icc

namd2 +idlepoll +p8 +devices 0,1 npt08_gpu.namd > npt08_gpu.out
#mpiexec -n $NSLOTS ./heat
#./hello
